IOSS 2.0

Functions
anonymous_namespace{Ioex_Internals.C} Namespace Reference

## Functions
nc_type | get_type (int exoid, unsigned int type)
int | define_netcdf_vars (int exoid, const char *type, size_t count, const char *dim_num, const char *stat_var, const char *id_var, const char *name_var)
int | define_variable (int exodusFilePtr, int64_t size, const char *dim, const char *var, nc_type type)
int | define_variables (int exodusFilePtr, int64_t size, const char *dim, const char *var[], const nc_type *types)
int | conditional_define_variable (int exodusFilePtr, const char *var, int dimid, int *varid, nc_type type)
constexpr size_t | max_string_length ()
int | put_int_array (int exoid, const char *var_type, const std::vector< int > &array)
int | put_id_array (int exoid, const char *var_type, const std::vector< entity_id > &ids)
int | define_coordinate_vars (int exodusFilePtr, int64_t nodes, int node_dim, int dimension, int dim_dim, int str_dim)
template<typename T >
int | output_names (const std::vector< T > &entities, int exoid, ex_entity_type ent_type)
template<typename T >
size_t | get_max_name_length (const std::vector< T > &entities, size_t old_max)

## Function Documentation

## ◆ conditional_define_variable()

int anonymous_namespace{Ioex_Internals.C}::conditional_define_variable | ( | int | exodusFilePtr,
|  | const char * | var,
|  | int | dimid,
|  | int * | varid,
|  | nc_type | type
| ) |  |

## ◆ define_coordinate_vars()

int anonymous_namespace{Ioex_Internals.C}::define_coordinate_vars | ( | int | exodusFilePtr,
|  | int64_t | nodes,
|  | int | node_dim,
|  | int | dimension,
|  | int | dim_dim,
|  | int | str_dim
| ) |  |

## ◆ define_netcdf_vars()

int anonymous_namespace{Ioex_Internals.C}::define_netcdf_vars | ( | int | exoid,
|  | const char * | type,
|  | size_t | count,
|  | const char * | dim_num,
|  | const char * | stat_var,
|  | const char * | id_var,
|  | const char * | name_var
| ) |  |

## ◆ define_variable()

int anonymous_namespace{Ioex_Internals.C}::define_variable | ( | int | exodusFilePtr,
|  | int64_t | size,
|  | const char * | dim,
|  | const char * | var,
|  | nc_type | type
| ) |  |

## ◆ define_variables()

int anonymous_namespace{Ioex_Internals.C}::define_variables | ( | int | exodusFilePtr,
|  | int64_t | size,
|  | const char * | dim,
|  | const char * | var[],
|  | const nc_type * | types
| ) |  |

## ◆ get_max_name_length()

template<typename T >

size_t anonymous_namespace{Ioex_Internals.C}::get_max_name_length | ( | const std::vector< T > & | entities,
|  | size_t | old_max
| ) |  |

## ◆ get_type()

nc_type anonymous_namespace{Ioex_Internals.C}::get_type | ( | int | exoid,
|  | unsigned int | type
| ) |  |

## ◆ max_string_length()

constexpr size_t anonymous_namespace{Ioex_Internals.C}::max_string_length | ( |  | ) |

## ◆ output_names()

template<typename T >

int anonymous_namespace{Ioex_Internals.C}::output_names | ( | const std::vector< T > & | entities,
|  | int | exoid,
|  | ex_entity_type | ent_type
| ) |  |

## ◆ put_id_array()

int anonymous_namespace{Ioex_Internals.C}::put_id_array | ( | int | exoid,
|  | const char * | var_type,
|  | const std::vector< entity_id > & | ids
| ) |  |

## ◆ put_int_array()

int anonymous_namespace{Ioex_Internals.C}::put_int_array | ( | int | exoid,
|  | const char * | var_type,
|  | const std::vector< int > & | array
| ) |  |